FROM alpine:3.12.1

#Fix error: standard_init_linux.go:211: exec user process caused "no such file or directory" when CGO_ENABLED=1
#Solution: https://stackoverflow.com/a/35613430
#RUN mkdir /lib64 && ln -s /lib/libc.musl-x86_64.so.1 /lib64/ld-linux-x86-64.so.2

RUN apk add --no-cache \
        bash=5.0.17-r0 \
        openssl=1.1.1l-r0 \
        ca-certificates=20191127-r4

#COPY ca-bundle.crt /etc/ssl/certs/ca-certificates.crt
COPY auth-webhook-server /auth-webhook-server
COPY entrypoint /entrypoint
RUN chmod u+x /entrypoint \
 && mkdir /tls

VOLUME /cfg
VOLUME /data
VOLUME /shared

ENTRYPOINT ["/entrypoint"]